# LayoutRisks (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.risk

## Class LayoutRisks

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.risk.LayoutRisks

- All Implemented Interfaces:
    ILayout

      public class LayoutRisks
      extends java.lang.Object
      implements ILayout

  This class layouts the risk analysis view.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutRisks(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutRisks

          public LayoutRisks(org.eclipse.swt.widgets.Composite parent,
                     Controller controller)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -